#!/bin/sh
### BEGIN INIT INFO
# Provides:          fake-on-lan
# Required-Start:    mountdevsubfs
# X-Start-Before:    bootlogd
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# X-Interactive:     true
# Short-Description: Fake Wake-on-LAN.
# Description:       Simulate Wake-on-LAN function via software, because
#                    it is missing in LaCie d2 Network 2 hardware.
### END INIT INFO

# Author: Niccolo Rigacci <niccolo@rigacci.org>

SCRIPTNAME=/etc/init.d/fake-on-lan.sh

[ -f /etc/wake-on-lan ] || exit 0

case "$1" in
    start)
        if [ -f /etc/wake-on-lan.halt ]; then
            /sbin/fake-on-lan
        fi
        ;;
    *)
        echo "Usage: $SCRIPTNAME {start}"
        exit 3
        ;;
esac
